using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using FarPoint.Win.Spread;

namespace CustomNameEnum
{
    public partial class Form2 : Form
    {
        FarPoint.Win.Spread.FormulaTextBox ftb;
        System.Collections.IEnumerator se;
        FarPoint.CalcEngine.Expression exp;
        public Form2()
        {
            InitializeComponent();
        }

        private void Form2_Load(object sender, EventArgs e)
        {
            fpSpread1.AllowUserFormulas = true;

            ftb = new FarPoint.Win.Spread.FormulaTextBox();
            ftb.Location = new Point(0, 0);
            ftb.Size = new Size(280, 20);
            this.Controls.Add(ftb);
            ftb.Attach(fpSpread1);

            SheetView sheet = new SheetView("test");
            fpSpread1.Sheets.Add(sheet);
            sheet.AddCustomName("test", "test!$A$1:$E$5", 0, 0);
            sheet.Cells[6, 0].Formula = "sum(test)";

            sheet.AddCustomName("test1", "test!$B$1:$B$5", 0, 0);
            sheet.Cells[7, 0].Formula = "sum(test1)";

            sheet.AddCustomName("test2", "test!$C$1:$C$5", 0, 0);
            sheet.Cells[8, 0].Formula = "sum(test2)";

            for (int i = 0; i < fpSpread1.Sheets.Count; i++)
            {

                se = fpSpread1.Sheets[0].GetCustomNameEnumerator();
                while (se.MoveNext())
                {
                    string entryName = (String)se.Current;
                    exp = fpSpread1.Sheets[0].GetCustomName(entryName);
                    comboBox1.Items.Add(entryName);
                }
            }
        }
    }
}